#!/bin/bash


check_prefpane_installed()
{
	PPINSTALLED="false"
	USRHOME=~
	
	# Mac OS X built-in preference panes
	if [ -e "/System/Library/PreferencePanes/$1" ];then PPINSTALLED="true"; fi
	
	# Third-party preference panes available to all users on the network
	if [ -e "/Network/Library/PreferencePanes/$1" ];then PPINSTALLED="true"; fi
	
	# Third-party preference panes available to all users on the computer
	if [ -e "/Library/PreferencePanes/$1" ];then PPINSTALLED="true"; fi
	
	# Third-party preference panes available only to the current user
	if [ -e "$USRHOME/Library/PreferencePanes/$1" ];then PPINSTALLED="true"; fi
	
	echo "$PPINSTALLED"
}





if [ "$1" == "checkinstalled" ];then
	
	if [ "$2" == "archives" ];then
		echo "`check_prefpane_installed \"Archives.prefPane\"`"
	elif [ "$2" == "diskimages" ];then
		echo "`check_prefpane_installed \"DiskImages.prefPane\"`"
	elif [ "$2" == "processor" ];then
		echo "`check_prefpane_installed \"Processor.prefPane\"`"
	fi
	
elif [ "$1" == "checkavailable" ];then
	
	if [ "$2" == "archives" ];then
		
		if [ -e "/System/Library/CoreServices/Archive Utility.app/Contents/Resources/Archives.prefPane" ];then
			echo "true"
		else
			echo "false"
		fi
		
	elif [ "$2" == "diskimages" ];then
		
		if [ -e "/System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/Resources/DiskImages.prefPane" ];then
			echo "true"
		else
			echo "false"
		fi
		
	elif [ "$2" == "processor" ];then
		
		if [ -e "/Developer/Extras/PreferencePanes/Processor.prefPane" ];then
			echo "true"
		else
			echo "false"
		fi
		
	fi
	
elif [ "$1" == "install" ];then
	
	if [ "$2" == "archives" ];then
		
		ln -s "/System/Library/CoreServices/Archive Utility.app/Contents/Resources/Archives.prefPane" ~/Library/PreferencePanes/Archives.prefPane
		if [ $? == 0 ];then echo "ok";
		else echo "cancelled"; fi
		
	elif [ "$2" == "diskimages" ];then
		
		ln -s "/System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/Resources/DiskImages.prefPane" ~/Library/PreferencePanes/DiskImages.prefPane
		if [ $? == 0 ];then echo "ok";
		else echo "cancelled"; fi
		
	elif [ "$2" == "processor" ];then
		
		ln -s "/Developer/Extras/PreferencePanes/Processor.prefPane" ~/Library/PreferencePanes/Processor.prefPane
		if [ $? == 0 ];then echo "ok";
		else echo "cancelled"; fi
		
	fi
	
elif [ "$1" == "uninstall" ];then
	
	if [ "$2" == "archives" ];then
		
		if [ -e ~/Library/PreferencePanes/Archives.prefPane ];then
			rm ~/Library/PreferencePanes/Archives.prefPane
			if [ $? == 0 ];then echo "ok";
			else echo "cancelled"; fi
		fi
		
	elif [ "$2" == "diskimages" ];then
		
		if [ -e ~/Library/PreferencePanes/DiskImages.prefPane ];then
			rm ~/Library/PreferencePanes/DiskImages.prefPane
			if [ $? == 0 ];then echo "ok";
			else echo "cancelled"; fi
		fi
		
	elif [ "$2" == "processor" ];then
		
		if [ -e ~/Library/PreferencePanes/Processor.prefPane ];then
			rm ~/Library/PreferencePanes/Processor.prefPane
			if [ $? == 0 ];then echo "ok";
			else echo "cancelled"; fi
		fi
		
	fi
	
fi













